package figury;

public class Prostokat extends Wielokat implements FigOpisOkr {

    double a;
    double b;

    Prostokat(double b1, double b2) {
        if (b1 < b2) {
            a = b1;
            b = b2;
        } else {
            a = b2;
            b = b1;
        }
    }

    @Override
    public String toString() {
        return super.toString() + "->Prostokat:(" + a + ", " + b + ")";
    }

    @Override
    double najdluzszyBok() {
        return b;
    }

    @Override
    double obwod() {
        return (a + b) * 2;
    }

    @Override
    double pole() {
        return a * b;
    }

    @Override
    public double promienOkrOpis() {
        return Math.sqrt(a*a+b*b);
    }
}
